const wx2my = require('../../../../wx2my');
const Behavior = require('../../../../Behavior');
const wxService = require('../../../../utils/wxService');
// 最多传⼊ 10 个活动 ID
const campaigns = [
  {
    id: '2f4d6c346c2f6972356b74656c5877313234373239673d3d', // 营销平台活动 ID 
    // imgUrl: 'https://oalipay-dl-django.alicdn.com/rest/1.0/image?fileIds=hb3O-mExT86u75SpCocgpwAAACMAAQED&zoom=original',  // 券图片 URL 
    imgUrl: 'https://img3.bigaka.com/prd/2711/201910/20191010/2711029b0006-72db-4f4d-902b-16636967d5bd.png',  // 券图片 URL 
    style: 'background: white; border: 1px solid blue; color: blue;', // 券样式自定义
    buttonStyle: 'color: black; background: red;', // 领取按钮样式自定义
  },
  { 
    id: '6b53312f696e5f3671784b55622f573168664b6f47773d3d', 
    imgUrl: 'https://img3.bigaka.com/prd/2711/201910/20191010/2711f5fba743-5274-4845-8fc2-89bad1c87c5a.png', // 如果不传入 `imgUrl`，则会使用兜底图片
  },
]

wxService.page({
  /**
   * 页面的初始数据
   */
  data: {
    canIUse: my.canIUse('mkt'), 
    campaigns,
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    my.canIUse('mkt')
    console.log('mkt' ,my.canIUse('mkt'))
  },
  onmessage(e){
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {},

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {},

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {},

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {},

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {},

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {},

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage(options) {
   
  }
});